import { DataGrid as FoundationDataGrid, DataGridCell as FoundationDataGridCell, DataGridRow as FoundationDataGridRow } from '@genesislcap/foundation-ui';
/**
 * @tagname %%prefix%%-data-grid-cell
 */
export declare class DataGridCell extends FoundationDataGridCell {
}
/**
 * The Zero Data Grid Cell Element.
 *
 * @public
 * @remarks
 * HTML Element: \<zero-data-grid-cell\>
 */
export declare const zeroDataGridCell: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof DataGridCell>;
/**
 * @tagname %%prefix%%-data-grid-row
 */
export declare class DataGridRow extends FoundationDataGridRow {
}
/**
 * The Zero Data Grid Row Element.
 *
 * @public
 * @remarks
 * HTML Element: \<zero-data-grid-row\>
 */
export declare const zeroDataGridRow: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof DataGridRow>;
/**
 * @tagname %%prefix%%-data-grid
 */
export declare class DataGrid extends FoundationDataGrid {
}
/**
 * The Zero Data Grid Element.
 *
 * @public
 * @remarks
 * HTML Element: \<zero-data-grid\>
 */
export declare const zeroDataGrid: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof DataGrid>;
//# sourceMappingURL=data-grid.d.ts.map