import { Badge as FoundationBadge, defaultBadgeConfig, foundationBadgeShadowOptions, } from '@genesislcap/foundation-ui';
import { zeroBadgeStyles as styles } from './badge.styles';
import { zeroBadgeTemplate as template } from './badge.template';
/**
 * @tagname %%prefix%%-badge
 */
export class Badge extends FoundationBadge {
}
export const zeroBadge = Badge.compose(Object.assign({ baseName: 'badge', template,
    styles, shadowOptions: foundationBadgeShadowOptions }, defaultBadgeConfig));
