import { html } from 'lit-html';
const meta = {
    title: 'Card',
    component: 'zero-card',
};
export default meta;
const wrapperStyle = 'display: flex; height: 400px; width: 100%; justify-content: center;';
const cardStyle = 'height: 50%; width: 50%; padding: 10px;';
export const Primary = {
    args: {
        cardFillColor: '#2f353a',
        cardHeading: 'Card 1',
        cardText: 'This is a Rapid Card (and the only one with without extra fui elements!)',
    },
    render: ({ cardFillColor, cardHeading, cardText }) => html `
      <div style="${wrapperStyle} --zero-card-fill-color:${cardFillColor};">
        <zero-card style="${cardStyle}">
          <h6>${cardHeading}</h6>
          <span>${cardText}</span>
        </zero-card>
      </div>
    `,
};
