import { DatePicker as FoundationDatePicker } from '@genesislcap/foundation-ui';
import { zeroDatePickerStyles as styles } from './date-picker.styles';
import { zeroDatePickerTemplate as template } from './date-picker.template';
export const zeroDatePickerShadowOptions = undefined;
export const defaultDatePickerConfig = {};
/**
 * @tagname %%prefix%%-date-picker
 */
export class DatePicker extends FoundationDatePicker {
}
export const zeroDatePicker = DatePicker.compose(Object.assign({ baseName: 'date-picker', template,
    styles, shadowOptions: zeroDatePickerShadowOptions }, defaultDatePickerConfig));
