import { Dialog as FoundationDialog, foundationDialogTemplate, foundationDialogShadowOptions, defaultDialogConfig as foundationConfig, } from '@genesislcap/foundation-ui';
import { zeroDialogStyles } from './dialog.styles';
export const defaultDialogConfig = foundationConfig;
export const zeroDialogTemplate = foundationDialogTemplate;
export const zeroDialogShadowOptions = foundationDialogShadowOptions;
/**
 * @tagname %%prefix%%-dialog
 */
export class Dialog extends FoundationDialog {
}
/**
 * The Zero Dialog
 *
 * @public
 * @remarks
 * HTML Element: \<zero-dialog\>
 */
export const zeroDialog = Dialog.compose(Object.assign({ baseName: 'dialog', shadowOptions: zeroDialogShadowOptions, styles: zeroDialogStyles, template: zeroDialogTemplate }, defaultDialogConfig));
