import { defaultDisclosureConfig, Disclosure as FoundationDisclosure, foundationDialogShadowOptions, } from '@genesislcap/foundation-ui';
import { zeroDisclosureStyles as styles } from './disclosure.styles';
import { zeroDisclosureTemplate as template } from './disclosure.template';
/**
 * @tagname %%prefix%%-disclosure
 */
export class Disclosure extends FoundationDisclosure {
}
export const zeroDisclosure = Disclosure.compose(Object.assign({ baseName: 'disclosure', template,
    styles, shadowOptions: foundationDialogShadowOptions }, defaultDisclosureConfig));
