import { html, ref, repeat } from '@microsoft/fast-element';
export const zeroErrorBannerTemplate = html `
  <zero-banner ${ref('banner')}>
    <div slot="content">
      <div>${(x) => { var _a; return ((_a = x.error) === null || _a === void 0 ? void 0 : _a.errorDetails) || 'Place holder for error message'; }}</div>
    </div>

    <zero-button slot="action" appearance="lightweight" @click=${(x) => x.dismiss()}>
      ${(x) => { var _a, _b, _c, _d; return ((_d = (_c = (_b = (_a = x.error) === null || _a === void 0 ? void 0 : _a.config) === null || _b === void 0 ? void 0 : _b.banner) === null || _c === void 0 ? void 0 : _c.dismissingAction) === null || _d === void 0 ? void 0 : _d.label) || 'Ignore'; }}
    </zero-button>

    ${repeat((x) => { var _a, _b; return (_b = (_a = x.error) === null || _a === void 0 ? void 0 : _a.config) === null || _b === void 0 ? void 0 : _b.banner.confirmingActions; }, html `
        <zero-button
          slot="action"
          appearance="lightweight"
          @click=${(x, c) => {
    x === null || x === void 0 ? void 0 : x.action();
    c.parent.dismiss();
}}
        >
          ${(x) => x.label}
        </zero-button>
      `)}
  </zero-banner>
`;
