import { defaultListboxOptionConfig, foundationListboxOptionShadowOptions, ListboxOption as FoundationListboxOption, } from '@genesislcap/foundation-ui';
import { zeroListboxOptionStyles as styles } from './listbox-option.styles';
import { zeroListboxOptionTemplate as template } from './listbox-option.template';
/**
 * @tagname %%prefix%%-option
 */
export class ListboxOption extends FoundationListboxOption {
}
export const zeroListboxOption = ListboxOption.compose(Object.assign({ baseName: 'option', template,
    styles, shadowOptions: foundationListboxOptionShadowOptions }, defaultListboxOptionConfig));
