import { html } from 'lit-html';
const meta = {
    title: 'Menu',
    component: 'zero-menu',
};
export default meta;
export const Primary = {
    args: {
        menuItemsText: 'Menu item',
        subMenuItemsText: 'SubMenu item',
    },
    render: ({ menuItemsText, subMenuItemsText }) => html `
      <zero-menu>
        <zero-menu-item>
          ${menuItemsText} 1
          <zero-menu>
            <zero-menu-item>${subMenuItemsText} 1</zero-menu-item>
            <zero-menu-item>${subMenuItemsText} 2</zero-menu-item>
            <zero-menu-item>${subMenuItemsText}</zero-menu-item>
          </zero-menu>
        </zero-menu-item>
        <zero-menu-item>${menuItemsText} 2</zero-menu-item>
        <zero-menu-item>${menuItemsText}</zero-menu-item>
      </zero-menu>
    `,
};
