import { html } from 'lit-html';
const meta = {
    title: 'Multiselect',
    component: 'zero-multiselect',
};
export default meta;
export const Primary = {
    render: ({ name, text, countries, search }) => html `
    <div style="min-height: 400px;">
      <zero-multiselect name="${name}" .options="${countries}" search="${search}">
        ${text}
      </zero-multiselect>
    </div>
  `,
    args: {
        name: 'Countries',
        text: 'Multiselect',
        search: true,
        countries: [
            'Afghanistan',
            'Aland Islands',
            'Albania',
            'Algeria',
            'American Samoa',
            'Andorra',
            'Angola',
            'Anguilla',
            'Antarctica',
            'Antigua and Barbuda',
            'Argentina',
            'Armenia',
            'Aruba',
            'Australia',
            'Austria',
            'Azerbaijan',
            'Bahamas',
            'Bahrain',
            'Bangladesh',
            'Barbados',
            'Belarus',
            'Belgium',
            'Belize',
            'Benin',
            'Bermuda',
            'Bhutan',
            'Bolivia',
            'Bonaire, Sint Eustatius and Saba',
            'Bosnia and Herzegovina',
            'Botswana',
            'Bouvet Island',
            'Brazil',
            'British Indian Ocean Territory',
            'Brunei Darussalam',
            'Bulgaria',
            'Burkina Faso',
            'Burundi',
            'Cambodia',
            'Cameroon',
            'Canada',
            'Cape Verde',
            'Cayman Islands',
            'Central African Republic',
            'Chad',
        ],
    },
};
