import { defaultRadioConfig, foundationRadioShadowOptions, Radio as FoundationRadio, } from '@genesislcap/foundation-ui';
import { zeroRadioStyles as styles } from './radio.styles';
import { zeroRadioTemplate as template } from './radio.template';
/**
 * @tagname %%prefix%%-radio
 */
export class Radio extends FoundationRadio {
}
export const zeroRadio = Radio.compose(Object.assign({ baseName: 'radio', template,
    styles, shadowOptions: foundationRadioShadowOptions }, defaultRadioConfig));
