import { html } from 'lit-html';
const meta = {
    title: 'Segmented Control',
    component: 'zero-segmented-control',
};
export default meta;
const wrapperStyle = 'display: flex; flex-direction: column;';
export const Primary = {
    render: () => html `
    <div style="${wrapperStyle}">
      <zero-segmented-control>
        <label slot="label">Neutral Segment Control (label slot)</label>
        <zero-segmented-item>Segmented Item</zero-segmented-item>
        <zero-segmented-item>Segmented Item</zero-segmented-item>
        <zero-segmented-item>Segmented Item</zero-segmented-item>
      </zero-segmented-control>

      <zero-segmented-control appearance="primary">
        <label slot="label">Primary Segment Control (label slot)</label>
        <zero-segmented-item>Segmented Item</zero-segmented-item>
        <zero-segmented-item>Segmented Item</zero-segmented-item>
        <zero-segmented-item>Segmented Item</zero-segmented-item>
      </zero-segmented-control>
    </div>
  `,
};
