import { defaultSkeletonConfig, foundationSkeletonShadowOptions, Skeleton as FoundationSkeleton, } from '@genesislcap/foundation-ui';
import { zeroSkeletonStyles as styles } from './skeleton.styles';
import { zeroSkeletonTemplate as template } from './skeleton.template';
/**
 * @tagname %%prefix%%-skeleton
 */
export class Skeleton extends FoundationSkeleton {
}
export const zeroSkeleton = Skeleton.compose(Object.assign({ baseName: 'skeleton', template,
    styles, shadowOptions: foundationSkeletonShadowOptions }, defaultSkeletonConfig));
