import { defaultTextFieldConfig, foundationTextFieldShadowOptions, TextField as FoundationTextField, } from '@genesislcap/foundation-ui';
import { zeroTextFieldStyles as styles } from './text-field.styles';
import { zeroTextFieldTemplate as template } from './text-field.template';
/**
 * @tagname %%prefix%%-text-field
 */
export class TextField extends FoundationTextField {
}
export const zeroTextField = TextField.compose(Object.assign({ baseName: 'text-field', template,
    styles, shadowOptions: foundationTextFieldShadowOptions }, defaultTextFieldConfig));
