import { html } from 'lit-html';
const meta = {
    title: 'Text Field',
    component: 'zero-text-field',
};
export default meta;
const wrapperStyle = 'display: flex; flex-direction: column;';
export const Primary = {
    render: () => html `
    <div style="${wrapperStyle}">
      <zero-text-field placeholder="Enter text...">Text Field</zero-text-field>
      <zero-text-field value="some value">Test label</zero-text-field>
      <zero-text-field value="disabled" disabled>Test label 2</zero-text-field>
      <zero-text-field type="datetime-local">Datetime local type</zero-text-field>
      <zero-text-field type="datetime-local" step=".001">
        Datetime local with step attr
      </zero-text-field>
    </div>
  `,
};
