import { foundationToastTemplate as zeroToastTemplate, foundationToastShadowOptions, defaultToastConfig as foundationConfig, Toast as FoundationToast, } from '@genesislcap/foundation-ui';
import { zeroToastStyles } from './toast.styles';
export const defaultToastConfig = foundationConfig;
export const zeroToastShadowOptions = foundationToastShadowOptions;
/**
 * @tagname %%prefix%%-toast
 */
export class Toast extends FoundationToast {
}
/**
 * The Zero Toast
 *
 * @public
 * @remarks
 * HTML Element: \<zero-toast\>
 */
export const zeroToast = Toast.compose(Object.assign({ baseName: 'toast', shadowOptions: zeroToastShadowOptions, styles: zeroToastStyles, template: zeroToastTemplate }, defaultToastConfig));
