import { defaultTooltipConfig, foundationTooltipShadowOptions, Tooltip as FoundationTooltip, } from '@genesislcap/foundation-ui';
import { zeroTooltipStyles as styles } from './tooltip.styles';
import { zeroTooltipTemplate as template } from './tooltip.template';
/**
 * @tagname %%prefix%%-tooltip
 */
export class Tooltip extends FoundationTooltip {
}
export const zeroTooltip = Tooltip.compose(Object.assign({ baseName: 'tooltip', template,
    styles, shadowOptions: foundationTooltipShadowOptions }, defaultTooltipConfig));
