import { defaultTreeViewConfig, foundationTreeViewShadowOptions, TreeView as FoundationTreeView, } from '@genesislcap/foundation-ui';
import { zeroTreeViewStyles as styles } from './tree-view.styles';
import { zeroTreeViewTemplate as template } from './tree-view.template';
/**
 * @tagname %%prefix%%-tree-view
 */
export class TreeView extends FoundationTreeView {
}
export const zeroTreeView = TreeView.compose(Object.assign({ baseName: 'tree-view', template,
    styles, shadowOptions: foundationTreeViewShadowOptions }, defaultTreeViewConfig));
