import { Filter as FoundationFilter, TextField } from '@genesislcap/foundation-ui';
/**
 * @tagname %%prefix%%-filter
 */
export declare class Filter extends FoundationFilter {
    textFilterField: TextField;
    numFilterFieldMin: TextField;
    numFilterFieldMax: TextField;
    dateFilterFieldMin: TextField;
    dateFilterFieldMax: TextField;
    fieldName: string;
    label: string;
    type: "number" | "boolean" | "text" | "date" | "enum";
    /**
     * Will be included in event emmissions.
     * Usually set to the id of the target datasource.
     * Usefull when we have multiple grids in the same page.
     */
    target: string;
    enumFilterOptions: any[];
}
export declare const zeroFilter: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<Filter, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<Filter, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
}, typeof Filter>;
//# sourceMappingURL=filter.d.ts.map