import { foundationBannerTemplate as zeroBannerTemplate, foundationBannerShadowOptions, Banner as FoundationBanner, } from '@genesislcap/foundation-ui';
import { zeroBannerStyles } from './banner.styles';
export const zeroBannerShadowOptions = foundationBannerShadowOptions;
/**
 * @tagname %%prefix%%-banner
 */
export class Banner extends FoundationBanner {
}
/**
 * The Zero Banner
 *
 * @public
 * @remarks
 * HTML Element: \<zero-banner\>
 */
export const zeroBanner = Banner.compose({
    baseName: 'banner',
    shadowOptions: zeroBannerShadowOptions,
    styles: zeroBannerStyles,
    template: zeroBannerTemplate,
});
