import { Breadcrumb as FoundationBreadcrumb } from '@genesislcap/foundation-ui';
import { zeroBreadcrumbStyles as styles } from './breadcrumb.styles';
import { zeroBreadcrumbTemplate as template } from './breadcrumb.template';
/**
 * @tagname %%prefix%%-breadcrumb
 */
export class Breadcrumb extends FoundationBreadcrumb {
}
// explicitly declaring for extensibility
export const zeroBreadcrumbShadowOptions = undefined;
export const defaultBreadcrumbConfig = {};
/**
 * The zero Breadcrumb
 *
 * @public
 * @remarks
 * HTML Element: \<zero-breadcrumb\>
 */
export const zeroBreadcrumb = Breadcrumb.compose(Object.assign({ baseName: 'breadcrumb', template,
    styles, shadowOptions: zeroBreadcrumbShadowOptions }, defaultBreadcrumbConfig));
