import { Button as FoundationButton, defaultButtonConfig, foundationButtonShadowOptions, } from '@genesislcap/foundation-ui';
import { zeroButtonStyles as styles } from './button.styles';
import { zeroButtonTemplate as template } from './button.template';
/**
 * @tagname %%prefix%%-button
 */
export class Button extends FoundationButton {
}
export const zeroButton = Button.compose(Object.assign({ baseName: 'button', template,
    styles, shadowOptions: foundationButtonShadowOptions }, defaultButtonConfig));
