import { Combobox as FoundationComboBox, defaultComboboxConfig, foundationComboboxShadowOptions, } from '@genesislcap/foundation-ui';
import { zeroComboboxStyles as styles } from './combobox.styles';
import { zeroComboboxTemplate as template } from './combobox.template';
/**
 * @tagname %%prefix%%-combobox
 */
export class Combobox extends FoundationComboBox {
}
export const zeroCombobox = Combobox.compose(Object.assign({ baseName: 'combobox', template,
    styles, shadowOptions: foundationComboboxShadowOptions }, defaultComboboxConfig));
