import { foundationErrorBannerShadowOptions, ErrorBanner as FoundationErrorBanner, } from '@genesislcap/foundation-ui';
import { zeroErrorBannerTemplate } from './error-banner.template';
export const zeroErrorBannerShadowOptions = foundationErrorBannerShadowOptions;
/**
 * @tagname %%prefix%%-error-banner
 */
export class ErrorBanner extends FoundationErrorBanner {
}
/**
 * The Zero Banner
 *
 * @public
 * @remarks
 * HTML Element: \<zero-error-banner\>
 */
export const zeroErrorBanner = ErrorBanner.compose({
    baseName: 'error-banner',
    template: zeroErrorBannerTemplate,
    shadowOptions: zeroErrorBannerShadowOptions,
});
