import { __decorate } from "tslib";
import { Filter as FoundationFilter, foundationFilterStyles as styles, } from '@genesislcap/foundation-ui';
import { attr, observable } from '@microsoft/fast-element';
import { zeroFilterTemplate as template } from './filter.template';
/**
 * @tagname %%prefix%%-filter
 */
export class Filter extends FoundationFilter {
    constructor() {
        super(...arguments);
        this.type = super.type;
        this.enumFilterOptions = super.enumFilterOptions;
    }
}
__decorate([
    attr
], Filter.prototype, "fieldName", void 0);
__decorate([
    attr
], Filter.prototype, "label", void 0);
__decorate([
    attr
], Filter.prototype, "type", void 0);
__decorate([
    attr
], Filter.prototype, "target", void 0);
__decorate([
    observable
], Filter.prototype, "enumFilterOptions", void 0);
export const zeroFilter = Filter.compose({
    baseName: 'filter',
    template,
    styles,
});
