import { Modal as FoundationModal, foundationModalTemplate, foundationModalShadowOptions, defaultModalConfig as foundationConfig, } from '@genesislcap/foundation-ui';
import { zeroModalStyles } from './modal.styles';
export const defaultModalConfig = foundationConfig;
export const zeroModalTemplate = foundationModalTemplate;
export const zeroModalShadowOptions = foundationModalShadowOptions;
/**
 * @tagname %%prefix%%-modal
 */
export class Modal extends FoundationModal {
}
/**
 * The Zero Modal
 *
 * @public
 * @remarks
 * HTML Element: \<zero-modal\>
 */
export const zeroModal = Modal.compose(Object.assign({ baseName: 'modal', shadowOptions: zeroModalShadowOptions, styles: zeroModalStyles, template: zeroModalTemplate }, defaultModalConfig));
