import { defaultTabsConfig, foundationTabsShadowOptions, Tabs as FoundationTabs, } from '@genesislcap/foundation-ui';
import { zeroTabsStyles as styles } from './tabs.styles';
import { zeroTabsTemplate as template } from './tabs.template';
/**
 * @tagname %%prefix%%-tabs
 */
export class Tabs extends FoundationTabs {
}
export const zeroTabs = Tabs.compose(Object.assign({ baseName: 'tabs', template,
    styles, shadowOptions: foundationTabsShadowOptions }, defaultTabsConfig));
