import { defaultTextAreaConfig, foundationTextAreaShadowOptions, TextArea as FoundationTextArea, } from '@genesislcap/foundation-ui';
import { zeroTextAreaStyles as styles } from './text-area.styles';
import { zeroTextAreaTemplate as template } from './text-area.template';
/**
 * @tagname %%prefix%%-text-area
 */
export class TextArea extends FoundationTextArea {
}
export const zeroTextArea = TextArea.compose(Object.assign({ baseName: 'text-area', template,
    styles, shadowOptions: foundationTextAreaShadowOptions }, defaultTextAreaConfig));
